Subject: SC 22 N 3145 - National Activity Report of Japan to the Plenary M eeting of ISO/IEC JTC1/SC22,

From: Lisa Rajchel <[email-masked]>
Date: Mon, 14 Aug 2000 16:23:56 -0400

ISO/IEC JTC 1/SC22
Programming languages, their environments and system software interfaces
Secretariat:  U.S.A.  (ANSI)

ISO/IEC JTC 1/SC22
N3145

TITLE:
National Activity Report of Japan to the Plenary Meeting of ISO/IEC
JTC1/SC22, 
September 12-15, 2000

DATE ASSIGNED:
2000-08-14

SOURCE:
National Body of Japan

BACKWARD POINTER:
N/A

DOCUMENT TYPE:
National Body Activity Report

PROJECT NUMBER:

STATUS:
This document will be discussed under Agenda Item 7.2.3 at the JTC 1/SC 22
Plenary Meeting. 

ACTION IDENTIFIER:
FYI to SC22 Member Bodies

DUE DATE:
N/A

DISTRIBUTION:
text

CROSS REFERENCE:

DISTRIBUTION FORM:
Def

Lisa Rajchel
ANSI
11 West 42nd Street
New York, NY  10036
Telephone:  (212) 642-4932
Fax:             (212) 840-2298
Email:  [email-masked] <mailto:[email-masked]> 

Japan National Activity Report to the Plenary Meeting of JTC 1/SC 22,
September 2000
1.	National Activities for International Standardization in Japan
*	SC 22 of Information Technology Standards Commission of Japan
(ITSCJ) is working as a Japanese National Committee for ISO/IEC JTC 1/SC 22.
SC 22 meetings are held 6 times per year and some additional ad-hoc
meetings.
*	There are ten working groups (COBOL WG, Fortran WG, Ada WG, C WG,
Lisp WG, Prolog WG, POSIX WG, C++ WG, Internationalization WG, and Language
Independent Issues WG) and one study group (Java SG) under this committee to
cope with activities of JTC 1/SC 22. VDM/SL and Z are covered by another
group (Formal Description Technique Sub Working Group) in ITSCJ with close
liaison with our SC 22. There are no corresponding WGs to WG 3 (APL), and WG
13 (Modula-2).

	Java SG
*	Japanese Java study group had redirected its effort towards ECMA TC
41, however, its effort was abandoned after January 2000 meeting at Raleigh,
USA.
*	We have discussed the J-Consortium PAS application as well.
*	The current position of this group is to disband the SC 22 Java SG

	COBOL WG
*	COBOL WG is participating very actively both of SC22/WG4 meetings
and ANSI/COBOL (NCISTS J4) meetings. 

	Fortran WG
*	Fortran WG has continued its active participation with SC22/WG5. 
*	Fortran WG found out several defect items during the translation
work of Fortran Part 1 (ISO/IEC 1539-1:1997) and Part 3 (ISO/IEC
1539-3:1999) and sent them to Primary Development Body (NCITS/J3) and WG5
respectively.  And also translation work of Part 2 (ISO/IEC 1539-2:2000) has
just begun.

	Ada WG
*	Members of this WG have prepared a draft JIS standard of Ada 95,
corresponding to ISO/IEC 8652:1995, and submitted it for approval. They did
not translate the whole standard into Japanese.  Most parts of the JIS
standard simply refer to the English version of the international standard.

	Language Independent Issues WG
*	This WG is the corresponding WG for SC 22/WG 11. Japanese delegate
is participating in SC 22/WG 11 meetings actively.

	C WG
*	C WG has continued its active participation with SC 22/WG 14.
*	Japan hosted ISO/IEC JTC1/SC 22/WG14 Tokyo meeting in April 2000,
where various NWI proposals to C9X (ISO/IEC 9899:1999) were discussed; such
as the formal model of sequence point, the performance of critical system,
the basic I/O hardware address and embedded processor support, and also some
defects reports were discussed.
*	WG started to translate of FDIS of C9X in October 1999 for preparing
JIS C standard corresponding with ISO/IEC 9899:1999. A JIS standard of C9X
will be prepared by the end of March 2001.

	POSIX WG
*	POSIX WG is participating in document review and balloting
activities of SC 22/WG 15. For more effective and active participation to
POSIX related works, Japanese POSIX WG is being reorganized.
*	The translation of ISO/IEC 9945 POSIX Part 2 was completed to be a
JIS, and the document was finalized this year for publishing.

	Lisp WG
*	Members of Lisp WG have contributed to establishing the JIS standard
for ISLisp (JIS X 3012 - 1998).  The WG is now standing by for the future
work on ISLisp.

	Prolog WG
*	Prolog WG has been working mainly on Part 2 - Modules for several
years. 
*	Members of the WG contributed to establishing a JIS for Prolog Part
1: General Core ISO/IEC 13211-1.

	Formal Description Technique Sub Working Group (FDT-SWG)
*	This SWG is the corresponding WG for SC 22/WG 19 and is actively
reviewing not only Z but also VDM-SL.

	Internationalization WG
*	This WG meets once a month regularly, inviting, when necessary,
specialists from various fields.  Japan constantly attends the SC 22/WG 20
meetings and gives many ballot comments.
*	Members of this WG have prepared two draft JIS standards,
corresponding to ISO/IEC TR 10176: Guidelines for Programming Language
Standards Preparation and ISO/IEC TR 11017: Framework for
Internationalization, and submitted them for approval.

	C++ WG
*	C++ WG has contributed to the effort primarily in areas of
particular interests such as extended character handling and C++
performance. 
*	Japan hosted ISO/IEC JTC1/SC 22/WG21 Tokyo meeting in April. 
*	And now translation work of ISO/IEC 14882:1998 into Japanese has
been started. A JIS standard of C++ will be prepared by the end of March
2001.

	2.	Development of National Standards
	The Japanese national standards are known as Japanese Industrial
Standards (JISs). The current status of JISs in the area of SC 22 is as
follows: 
	1)	JISs established before 1999
*	COBOL (JIS X 3002 - 1992) = ISO/IEC 1989:1985 + AMD 1 
*	Full BASIC (JIS X 3003 - 1993) = ISO/IEC 10279: 1991 
*	Pascal (JIS X 3008 - 1994) = ISO/IEC 7185:1990 
*	MUMPS (JIS X 3011 - 1995) = ISO/IEC 11756:1990
*	POSIX Part 1 (JIS X 3030- 1994) = ISO/IEC 9945-1:1990
*	C (JIS X 3010 - 1993) = ISO/IEC 9899:1990
*	C (JIS X 3010 - 1996) = ISO/IEC 9899 AMD 1:1995
*	ISLisp (JIS X 3012 - 1998) = ISO/IEC 13816:1997
*	Fortran Part 1 (JIS X 3001-1 - 1998) = ISO/IEC 1539-1:1997
*	Fortran Part 2 (JIS X 3001-2 - 1998) = ISO/IEC 1539-2:1994

	2)	JISs published in FY 1999
*	ECMAScript (JIS X 3060 - 2000) = ISO/IEC 16262:1998

	3)	JISs prepared in FY 1999 and to be published in FY 2000
*	Ada (JIS X 3009 - 2000) = ISO/IEC 8652:1995
*	POSIX Part 2 = ISO/IEC 9945-2:1993
*	Prolog Part 1: General Core = ISO/IEC 13211-1:1995
*	TR: Guidelines for Programming Language Standards Preparation =
ISO/IEC TR 10176
*	TR: Framework for Internationalization = ISO/IEC TR 11017
*	Fortran Part 3 = ISO/IEC 1539-3:1999

	4)	Draft JISs being prepared in FY 2000
*	C = ISO/IEC 9899:1999 
*	C++  = ISO/IEC 14882:1998 
*	Fortran Part 2 = ISO/IEC 1539-2: 2000